{
	"format_version": "1.10.0",
	"particle_effect": {
		"description": {
			"identifier": "skd:humo",
			"basic_render_parameters": {
				"material": "particles_alpha",
				"texture": "textures/particle/campfire_smoke"
			}
		},
		"components": {
			"minecraft:emitter_rate_manual": {
				"spawn_rate": 4,
				"max_particles": 100
			},
			"minecraft:emitter_lifetime_expression": {
				"activation_expression": 1
			},
			"minecraft:emitter_shape_point": {},
			"minecraft:particle_lifetime_expression": {
				"max_lifetime": "4 / Math.random(1, 5) + 0.1"
			},
			"minecraft:particle_initial_speed": "Math.random(0.1, 0.3)",
			"minecraft:particle_motion_dynamic": {
				"linear_acceleration": [0, 0.3, 0]
			},
			"minecraft:particle_appearance_billboard": {
				"size": [0.25, 0.25],
				"facing_camera_mode": "lookat_xyz",
				"uv": {
					"texture_width": 1,
					"texture_height": 12,
					"uv": [0, "Math.floor(variable.particle_random_2 * 12)"],
					"uv_size": [1, 1]
				}
			},
			"minecraft:particle_motion_collision": {
				"enabled": "variable.particle_age > 1",
				"collision_radius": 0.5
			},
			"minecraft:particle_appearance_lighting": {},
			"minecraft:particle_appearance_tinting": {
				"color": [1, 1, 1, 1]
			}
		}
	}
}